Bug 1009466 - Test failures in s-ramp quickstarts (s-ramp-demos-switchyard-multiapp) - quickstart projects reference 0.8.0.Final
Test failures in s-ramp quickstarts (s-ramp-demos-switchyard-multiapp) - quic...
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance, Examples (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER4
: 6.0.0
Assigned To: Kurt T Stam
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 10:02 EDT by Stefan Bunciak
Modified: 2015-08-02 19:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:26:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Bunciak 2013-09-18 10:02:18 EDT
Description of problem:

There are test failures in S-RAMP 6.0.0.ER2 quickstarts:

ER2:
Tests run: 2, Failures: 0, Errors: 2, Skipped: 0, Time elapsed: 1.361 sec <<< FAILURE!

Results :

Tests in error: 
  invokeOrderWebService(org.switchyard.quickstarts.demo.multiapp.service.WebServiceTest): java.lang.NullPointerException
  Test mechanism: Connection manager has been shut down

Tests run: 7, Failures: 0, Errors: 2, Skipped: 0

[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO] 
[INFO] S-RAMP Demos: Switchyard Multi App Deployment ..... SUCCESS [0.797s]
[INFO] S-RAMP Demos: Switchyard Multi App Deployment - Service Artifacts  SUCCESS [1.498s]
[INFO] S-RAMP Demos: Switchyard Multi App Deployment - Order Service  FAILURE [12.290s]
[INFO] S-RAMP Demos: Switchyard Multi App Deployment - Order Consumer  SKIPPED
[INFO] S-RAMP Demos: Switchyard Multi App Deployment - Web App  SKIPPED

early ER3:
Tests run: 1, Failures: 1, Errors: 0, Skipped: 0, Time elapsed: 1.974 sec <<< FAILURE!

Results :

Failed tests:   invokeOrderWebService(org.switchyard.quickstarts.demo.multiapp.service.WebServiceTest): org.custommonkey.xmlunit.Diff(..)

Tests run: 6, Failures: 1, Errors: 0, Skipped: 0

[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO] 
[INFO] S-RAMP Demos: Switchyard Multi App Deployment ..... SUCCESS [0.680s]
[INFO] S-RAMP Demos: Switchyard Multi App Deployment - Service Artifacts  SUCCESS [1.430s]
[INFO] S-RAMP Demos: Switchyard Multi App Deployment - Order Service  FAILURE [12.199s]
[INFO] S-RAMP Demos: Switchyard Multi App Deployment - Order Consumer  SKIPPED
[INFO] S-RAMP Demos: Switchyard Multi App Deployment - Web App  SKIPPED
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 15.101s
[INFO] Finished at: Wed Sep 18 15:30:47 CEST 2013
[INFO] Final Memory: 77M/600M
[INFO] ------------------------------------------------------------------------


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install and run FSW + S-RAMP 6.0.0.ER2/ER3
2. execute mvn clean install -Dmaven.skip.tests=false in the s-ramp quickstart(s)
3.

Actual results:


Expected results:


Additional info:
Comment 1 Kurt T Stam 2013-09-25 17:42:54 EDT
Hi Stephan,

The tests all pass when I run in the '0.3.0.Final-prod-ip6.0' branch in the s-ramp-distro/s-ramp-distro-assembly/s-ramp-demos/s-ramp-demos-switchyard-multiapp:

[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO] 
[INFO] S-RAMP Demos: Switchyard Multi App Deployment ..... SUCCESS [0.193s]
[INFO] S-RAMP Demos: Switchyard Multi App Deployment - Service Artifacts  SUCCESS [2.299s]
[INFO] S-RAMP Demos: Switchyard Multi App Deployment - Order Service  SUCCESS [8.697s]
[INFO] S-RAMP Demos: Switchyard Multi App Deployment - Order Consumer  SUCCESS [1.714s]
[INFO] S-RAMP Demos: Switchyard Multi App Deployment - Web App  SUCCESS [1.182s]
[INFO] ------------------------------------------------------------------------
[INFO] BUILD SUCCESS
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 14.964s
[INFO] Finished at: Wed Sep 25 17:36:56 EDT 2013
[INFO] Final Memory: 31M/81M

I'm happy to help if you give me the instructions on how to build the FSW installer. I'm thinking something goes missing from the this demo when it is copied over.

--Kurt
Comment 2 Stefan Bunciak 2013-09-26 09:46:59 EDT
Please, have a look at what I did: http://pastebin.test.redhat.com/166373
Comment 3 Kurt T Stam 2013-09-26 11:04:44 EDT
Ah it is not activating the 'demo' profile and is trying to do an actual deploy; it seems a release even. This *should* be fixed on ER4.
Comment 4 Kurt T Stam 2013-10-01 12:15:24 EDT
Nick just told me for FSW switchyard 1.1.0M3 is used. Which causes the failure. I will have to update the example so it works with this version. The project uses 0.8.0.Final.
Comment 5 Kurt T Stam 2013-10-02 14:23:43 EDT
Fix should be in the the ER4-2 tag for the s-ramp-distro
Comment 6 Kurt T Stam 2013-10-02 14:37:10 EDT
Note that we have the same issue in a DTGov demo. Addressing this too.
Comment 7 Kurt T Stam 2013-10-02 15:06:21 EDT
Actually it doesn't. That demo is ok; I'm still updating it to use 1.0.0 but I'm not adding a new tag for unless someone tells me otherwise.
Comment 10 Stefan Bunciak 2013-10-08 04:12:20 EDT
Verified in FSW 6.0.0.ER4

Note You need to log in before you can comment on or make changes to this bug.